Bug 113773 - up2date doesn't stop on ^C
up2date doesn't stop on ^C
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
i686 Linux
medium Severity medium
: rc
: ---
Assigned To: Pradeep Kilambi
Ken Reilly
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-17 12:46 EST by Erich Morisse
Modified: 2013-02-26 19:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:04:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Sample execution and failure to close (10.53 KB, text/plain)
2004-01-17 12:47 EST, Erich Morisse
no flags Details

  None (edit)
Description Erich Morisse 2004-01-17 12:46:23 EST
Description of problem:
command line up2date does not stop if killed in the middle of a
download.  See attachment.

Linux emorisse.laptop 2.4.21-4.0.2.EL #1 Thu Dec 18 19:26:43 EST 2003
i686 i686 i386 GNU/Linux


Version-Release number of selected component (if applicable):
up2date-4.2.5-1

How reproducible:
Always

Steps to Reproduce:
1.  up2date -u
2.  ^C during download of kernel (only example tried)
3.  
    

Additional info:
Comment 1 Erich Morisse 2004-01-17 12:47:13 EST
Created attachment 97074 [details]
Sample execution and failure to close
Comment 2 Ryan Bloom 2004-05-06 14:25:58 EDT
This has been fixed in both HEAD and ERRATA_RHEL3_U1.  AS2.1 doesn't
seem to suffer from this problem.

To test this, run up2date on a package that takes a while to download,
and ctrl-c during the download phase.
Comment 4 Jiri Pallich 2012-06-20 12:04:57 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.